%global libapi	 1
%global libqtapi 3
%global libmajor 0

%define liblightdmgir           %mklibname lightdm-gir %{libapi}
%define liblightdmgobject	%mklibname lightdm-gobject %{libapi} %{libmajor}
%define liblightdmgobjectdevel	%mklibname -d lightdm-gobject
%define liblightdmqt5		%mklibname lightdm-qt5_ %{libqtapi} %{libmajor}
%define liblightdmqt5devel	%mklibname -d lightdm-qt5
%define liblightdmqt		%mklibname lightdm-qt_ %{libqtapi} %{libmajor}
%define liblightdmqtdevel	%mklibname -d lightdm-qt

Name:		lightdm
Version:	1.19.5
Release:	%mkrel 1
Summary:   	The Light Display Manager

License:        GPLv3+
Group:		Graphical desktop/Other
URL:       	http://www.freedesktop.org/wiki/Software/LightDM
Source0:	%{name}-%{version}.tar.xz
Source1:	29%{name}.conf
Source2:	Xsession
Source3:	%{name}-settings.conf
Source4:	%{name}-autologin-config.conf
Source5:	%{name}.pam
Source6:	%{name}-autologin.pam
Source7:	%{name}-greeter.pam
Patch0:		%{name}-1.8.3-remove-bin-from-path.patch
Patch1:		%{name}-1.11.7-nodaemon_option.patch
Patch3:		%{name}-1.17.1-sessions-dir.patch

BuildRequires:	gettext-devel
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	%{_lib}gcrypt-devel
BuildRequires:	%{_lib}girepository-devel
BuildRequires:	%{_lib}glib2.0-devel
BuildRequires:  %{_lib}pam-devel
BuildRequires:	%{_lib}qt4-devel
BuildRequires:	%{_lib}qt5dbus-devel
BuildRequires:  %{_lib}qt5gui-devel
BuildRequires:  %{_lib}vala-devel
BuildRequires:  %{_lib}xklavier-devel
BuildRequires:	libpthread-stubs
BuildRequires:  libxcb-devel
BuildRequires:	pkgconfig
Requires:       accountsservice
Requires:	%{name}-gtk-greeter
Requires:	xinitrc
Provides:	dm

%description
The Light Display Manager

%package -n %{liblightdmgir}
Summary:        Typelib file for liblightdm-1
Group:          Graphical desktop/Other
License:        LGPLv2+
Requires:	%{liblightdmgobject} = %{version}-%{release}

%description -n %{liblightdmgir}
A GObject based library for LightDM clients to use to interface with LightDM.

%package -n %{liblightdmgobject}
Summary:	LightDM GObject client library
Group:		Graphical desktop/Other
License:	LGPLv2+

%description -n %{liblightdmgobject}
A GObject based library for LightDM clients to use to interface with LightDM.

%package -n %{liblightdmgobjectdevel}
Summary:	LightDM client library (development files)
Group:		Graphical desktop/Other
License:	LGPLv2+
Requires:	%{liblightdmgobject} = %{version}-%{release}
Requires:	%{liblightdmgir} = %{version}-%{release}
Provides:	lightdm-gobject-devel = %{version}-%{release}

%description -n %{liblightdmgobjectdevel}
A GObject based library for LightDM clients to use to interface with LightDM.
This package contains header files and development information, which
is useful for building LightDM greeters and user switchers.

%package -n %{liblightdmqt5}
Summary:	LightDM Qt5 client library
Group:		Graphical desktop/Other
License:	LGPLv2+

%description -n %{liblightdmqt5}
A Qt5 based library for LightDM clients to use to interface with LightDM.

%package -n %{liblightdmqt5devel}
Summary:	LightDM client library (development files)
Group:		Graphical desktop/Other
License:	LGPLv2+
Requires:	%{liblightdmqt5} = %{version}-%{release}
Provides:	lightdm-qt5-devel = %{version}-%{release}

%description -n %{liblightdmqt5devel}
A Qt5 based library for LightDM clients to use to interface with LightDM.
This package contains header files and development information, which
is useful for building LightDM greeters and user switchers.

%package -n %{liblightdmqt}
Summary:        LightDM Qt client library
Group:          Graphical desktop/Other
License:        LGPLv2+

%description -n %{liblightdmqt}
A Qt based library for LightDM clients to use to interface with LightDM.

%package -n %{liblightdmqtdevel}
Summary:        LightDM client library (development files)
Group:          Graphical desktop/Other
License:        LGPLv2+
Requires:       %{liblightdmqt} = %{version}-%{release}
Provides:       lightdm-qt-devel = %{version}-%{release}

%description -n %{liblightdmqtdevel}
A Qt based library for LightDM clients to use to interface with LightDM.
This package contains header files and development information, which
is useful for building LightDM greeters and user switchers.

%prep
%setup -q
%{apply_patches}
%__sed -i '1iACLOCAL_AMFLAGS=-I m4' Makefile.am

%build
autoreconf -vfi
export MOC5=%{_qt5_bindir}/moc
export MOC4=%{_qt4_bindir}/moc
%configure2_5x \
  --disable-static \
  --disable-tests \
  --enable-introspection \
  --enable-liblightdm-qt5 \
  --enable-liblightdm-qt \
  --with-greeter-session=lightdm-greeter
%make

%install
%makeinstall_std
%__rm -rf %{buildroot}%{_sysconfdir}/pam.d/
%__rm -rf %{buildroot}%{_sysconfdir}/{init,apparmor.d}/
%__install -Dpm644 %{SOURCE1} %{buildroot}/%{_datadir}/X11/dm.d/29%{name}.conf
%__install -Dpm755 %{SOURCE2} %{buildroot}/%{_sysconfdir}/%{name}/Xsession
%__install -Dpm644 %{SOURCE3} %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf.d/50-%{_real_vendor}.conf
%__install -Dpm644 %{SOURCE4} %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf.d/50-%{_real_vendor}-autologin.conf
%__install -Dpm 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/pam.d/%{name}
%__install -Dpm 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/pam.d/%{name}-autologin
%__install -Dpm 644 %{SOURCE7} %{buildroot}%{_sysconfdir}/pam.d/%{name}-greeter
%__install -d %{buildroot}%{_logdir}/%{name}
touch %{buildroot}%{_logdir}/%{name}/%{name}.log
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}/remote-sessions
%{__mkdir_p} %{buildroot}%{_localstatedir}/lib/%{name}
%{__mkdir_p} %{buildroot}%{_localstatedir}/lib/%{name}-data
find %{buildroot} -name "*.la" -delete
%find_lang %{name}

%pre
if [ $1 -eq 1 ]; then
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /sbin/nologin
fi

%post
%create_ghostfile %{_logdir}/%{name}/%{name}.log root root 0600

if [ "$1" = 1 ]; then
echo -e \
"\n-------------------------------------------------------------------------------
 1. To start using LightDM as main display manager go to:
 Uplos Control Center => Boot => Setup display manager. Make your choice,
 apply changes and reboot your computer.\n
 2. To change some configurable options of LightDM first install package
 'lightdm-gtk-greeter-settings' and then run graphical configurator from menu:
 Menu => More Applications => Configuration => LightDM GTK+ Greeter settings.\n
 3. To enable LightDM's user-switching function in Xfce or LXDE desktop just
 create executable script named '/usr/local/bin/gdmflexiserver' with content
 without single quotes:\n
   '#!/bin/sh
   /usr/bin/dm-tool switch-to-greeter'\n
 4. If you plan to change your deafult display manager to other available in
 repository, delete file /usr/local/bin/gdmflexiserver.
-------------------------------------------------------------------------------\n"
fi

%files -f %{name}.lang
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/%{name}.conf.d/
%{_sysconfdir}/%{name}/%{name}.conf.d/50-%{_real_vendor}.conf
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf.d/50-%{_real_vendor}-autologin.conf
%{_sysconfdir}/%{name}/Xsession
%config(noreplace) %{_sysconfdir}/%{name}/keys.conf
%config(noreplace) %{_sysconfdir}/%{name}/lightdm.conf
%config(noreplace) %{_sysconfdir}/%{name}/users.conf
%config(noreplace) %{_sysconfdir}/pam.d/lightdm*
%dir %{_logdir}/%{name}/
%ghost %{_logdir}/%{name}/%{name}.log
%attr(700,lightdm,lightdm) %dir %{_localstatedir}/lib/%{name}/
%attr(700,lightdm,lightdm) %dir %{_localstatedir}/lib/%{name}-data/
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.DisplayManager.conf
%{_datadir}/bash-completion/completions/*
%{_datadir}/X11/dm.d/29lightdm.conf
%{_datadir}/%{name}/
%{_sbindir}/%{name}
%{_bindir}/dm-tool
%{_libexecdir}/lightdm-guest-session
%{_mandir}/man1/%{name}*
%{_mandir}/man1/dm-tool.*
%{_datadir}/help/C/%{name}/*

%files -n %{liblightdmgir}
%{_libdir}/girepository-1.0/LightDM-%{libapi}.typelib

%files -n %{liblightdmgobject}
%{_libdir}/liblightdm-gobject-%{libapi}.so.%{libmajor}
%{_libdir}/liblightdm-gobject-%{libapi}.so.%{libmajor}.*

%files -n %{liblightdmgobjectdevel}
%doc %{_datadir}/gtk-doc/html/lightdm-gobject-%{libapi}
%{_includedir}/lightdm-gobject-%{libapi}/
%{_libdir}/liblightdm-gobject-%{libapi}.so
%{_libdir}/pkgconfig/liblightdm-gobject-%{libapi}.pc
%{_datadir}/gir-1.0/LightDM-%{libapi}.gir
%{_datadir}/vala/vapi/liblightdm-gobject-%{libapi}.*

%files -n %{liblightdmqt5}
%{_libdir}/liblightdm-qt5-%{libqtapi}.so.%{libmajor}
%{_libdir}/liblightdm-qt5-%{libqtapi}.so.%{libmajor}.*

%files -n %{liblightdmqt5devel}
%{_includedir}/lightdm-qt5-%{libqtapi}
%{_libdir}/liblightdm-qt5-%{libqtapi}.so
%{_libdir}/pkgconfig/liblightdm-qt5-%{libqtapi}.pc

%files -n %{liblightdmqt}
%{_libdir}/liblightdm-qt-%{libqtapi}.so.%{libmajor}
%{_libdir}/liblightdm-qt-%{libqtapi}.so.%{libmajor}.*

%files -n %{liblightdmqtdevel}
%{_includedir}/lightdm-qt-%{libqtapi}
%{_libdir}/liblightdm-qt-%{libqtapi}.so
%{_libdir}/pkgconfig/liblightdm-qt-%{libqtapi}.pc

%changelog
* Wed Oct 12 2016 tele <tele> 
- Rebuild for UPLOS

* Sat Oct 08 2016 marcin82 <marcin82 at vp.pl> 1.19.5-1pclos2016
- Initial build for PCLinuxOS
